Subject: Re: Unknown Opaque type

From: 杨洋 <[email-masked]>
Date: Wed, 8 Dec 2004 18:51:12 +0800

Joseph Placid,
    I think the LSA should be discarded without further processing.

======= 2004-12-08 16:20:00 =======

>Hi,
>    What should an opaque capable router do if it receives an opaque LSA
>having an unknown opaque type through flooding? Is this mentioned in RFC
>2370?
>
>Thanks,
>Joseph

= = = = = = = = = = = = = = = = = = = =
			
Yang
　　　　　　　　[email-masked]
　　　　　　　　　　2004-12-08

-----------------------------------------------------
Yang Yang, Ph.D. Candidate
Dept. E.E., Tsinghua Univ., Beijing 100084, P.R.CHINA
-----------------------------------------------------

---

From: Acee Lindem <[email-masked]>
Date: Wed, 8 Dec 2004 06:15:59 -0500

>    I think the LSA should be discarded without further processing.
Yang,

Actually it should store it in its database and flood it at the
appropriate scope. See
section 2.0 of RFC 2370.

Hope this helps,
Acee

---

From: Joseph Placid <[email-masked]>
Date: Thu, 9 Dec 2004 10:31:26 +0530

Hi Acee,
        Will the LSA be acknowledged with an LSAck?

Regards,
Joseph

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Acee
Lindem
Sent: 08 December 2004 04:46 PM
To: [email-masked]
Subject: Re: Unknown Opaque type

Yang,

Hope this helps,
Acee

---

From: Acee Lindem <[email-masked]>
Date: Thu, 9 Dec 2004 07:18:06 -0500

>        Will the LSA be acknowledged with an LSAck?
Hi Josesph,

Yes - probably the main impetus for opaque LSAs was to allow for new
opaque types
to be introduced without backward issues.

Also, earliar in this thread, there may have been some confusion between
LSA type
and opaque type. The LSA type for an opaque LSA is 9, 10, or 11
depending on
the link scope. The opaque type is the first 8 bits of the opaque LSA's
link ID.

Hope this helps,
Acee